# `beancount-rs`

This tool is extremely similar to the `beancount` utilities you're used to.
The only difference, is that they're written in Rust.
I plan to use this daily, so I should find any issues, but feel free to put issues in the Git for additional information.

All code is licensed under the GPLv3, with the exception of the web portion, which is provided under the AGPLv3.

## Limitations

* The largest value the parser can understand is around: 79228162514264340000000000000 (That's 79 &times; 10^27).
	* Pretty sure nobody has this much money, even theoretically. But who knows with inflation these days.

## Restrictions

* All transactions must either:
	* Balance to zero, OR
	* Have a blank posting in the account to fill in.
	* You may only have zero or one blank postings per transaction.
* All transactions are processed in order of date, regardless of the order that the file contents.

